using System;
using bizFacade;
using MesServerWork;
//using SystemFramework;


namespace MesServerFunctions
{
    partial class Functions_BASE_WebSubmit
    {
        /// <summary>
        /// 工件到位与离开时，清空MES自身信号
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        private void WorkStart(object e)
        {
            try
            {
                DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                string OpName = Convert.ToString(msgEvent.OpName);
                int tagValue = Convert.ToInt32(msgEvent.TagValue);

                //线首显示订单信息

                if (tagValue == 1)
                {
                    //清空MOBY的产品流水号

                    // 北汽福田工位状态监控MOBY_增加
                    // 工位号],[订单号],[产品型号代码],[变速器序列号],[发动机型号],[机型基本代码],[变速器总成号] ,[托盘号]
                    // [产品型号代码_MES],[变速器序列号_MES],[发动机型号_MES]
                    // [机床上电],[循环开始],[机床故障],[上料无件],[下料堵塞],[工件到位]
                    // [传递机型],[申请上件],[允许保存],[保存完成],[合格标志],[前序合格]
                    // [工号],[班次],[是否返修件],[合格放行],[不合格放行],[扫描条码]
                    //[到达时间],[离开时间],[持续时间]
                    BaseDataSystemMES.OpName_MIS_MOBY_Insert(OpName, MobyTagType.WorkStartIn, DateTime.Now.ToString());

                    BaseDataSystemMES.OpName_MIS_MOBY_Insert(OpName, MobyTagType.EngineID, tagValue.ToString());

                    //5 显示订单、机型信息
                    SendMessage.ShowMoby(OpName);
                    //3显示操作指导图片
                    SendMessage.PicShow(OpName);
                    //1（直接在界面通过选择机型确认工序内容）
                    SendMessage.ProcessList(OpName);
                }
                else if (tagValue == 0)
                {
                    BaseDataSystemMES.OpName_MIS_MOBY_Insert(OpName, MobyTagType.WorkStartOut, DateTime.Now.ToString());
                }
            }
            catch(Exception err)
            {
                ////ApplicationLog.WriteLog(err, "Function08:WorkStart");
            }
        }
    }
}
